Page MenuHomePhabricator

Make user-talk-related Flow notifications their own types
Closed, ResolvedPublic

Description

Currently, a number of Flow notification types render differently if they are about the current user's user talk page. In order to be able to treat user-talk-related notifications differently in other ways as well (mark them as urgent, and make them affect the OBOD) we need them to be separate types, e.g. flow-new-topic-usertalk.

Details

Related Gerrit Patches:
mediawiki/extensions/Flow : masterSplit flow-* and flowusertalk-* notifications

Event Timeline

Catrope created this task.Jun 20 2016, 1:41 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJun 20 2016, 1:41 PM

Change 295484 had a related patch set uploaded (by Sbisson):
[WIP] Split flow-* and flowusertalk-* notifications

https://gerrit.wikimedia.org/r/295484

SBisson claimed this task.Jun 22 2016, 4:50 PM

Change 295484 merged by jenkins-bot:
Split flow-* and flowusertalk-* notifications

https://gerrit.wikimedia.org/r/295484

Checked flowusertalk-*
According to https://gerrit.wikimedia.org/r/#/c/295484/

Split flow-* and flowusertalk-* notifications

It applies to:
 - flow-new-topic
 - flow-description-edited
 - flow-post-reply
 - flow-post-edited
 - flow-topic-renamed
 - flow-summary-edited
 - flow-topic-resolved

The above events when they happened on a user talk page have been recorded in db as the following:
flowusertalk-new-topic
flowusertalk-description-edited
flowusertalk-post-reply
flowusertalk-post-edited
flowusertalk-topic-renamed
flowusertalk-summary-edited
flowusertalk-topic-resolved

jmatazzoni closed this task as Resolved.Jul 5 2016, 10:58 PM